LibreOffice: XVndSunStarScriptUrl Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XVndSunStarScriptUrl Interface Referencepublished

represents absolute “vnd.sun.star.script” URLs. More...

`import "XVndSunStarScriptUrl.idl";`

Inheritance diagram for XVndSunStarScriptUrl:

## Public Member Functions
string | getName ()
| returns the name part of this URL.
void | setName ([in] string name) raises ( ::com::sun::star::lang::IllegalArgumentException )
| sets the name part of this URL.
boolean | hasParameter ([in] string key)
| returns whether this URL has a parameter with a given key.
string | getParameter ([in] string key)
| returns the value of a parameter with a given key.
void | setParameter ([in] string key, [in] string value) raises ( ::com::sun::star::lang::IllegalArgumentException )
| sets the value of a parameter with a given key.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents absolute “vnd.sun.star.script” URLs.

These URLs are of the form
vnd-sun-star-script-url = `"VND.SUN.STAR.SCRIPT:"` name [`"?"` parameter *(`"&"` parameter)]
name = 1*schar
parameter = key `"="` value
key = 1*schar
value = *schar
schar = unreserved / escaped / `"$"` / `"+"` / `","` / `":"` / `";"` / `"@"` / `"["` / `"]"`
See RFC 3986 RFC 2234 for details.

The names, keys, and values are arbitrary Unicode strings (non-empty Unicode strings in the case of names and keys), encoded as UTF-8 byte sequences. It is an error if any of them does not represent a valid UTF-8 byte sequence. Keys are compared for equality character-by-character, without considering case folding or normalization. There may be multiple parameters with equal keys.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getName()

string getName | ( |  | ) |

returns the name part of this URL.

Returns
  the non-escaped value of the name part.

## ◆ getParameter()

string getParameter | ( | [in] string | key | ) |

returns the value of a parameter with a given key.

Parameters

  key | a non-escaped key.

Returns
  the non-escaped value of the first parameter with the given key. If there is no parameter with the given key, or if `key` is an empty string, an empty string is returned.

## ◆ hasParameter()

boolean hasParameter | ( | [in] string | key | ) |

returns whether this URL has a parameter with a given key.

Parameters

  key | a non-escaped key.

Returns
  TRUE if this URL has at least one parameter with the given key. In particular, if `key` is an empty string, FALSE is returned.

## ◆ setName()

void setName | ( | [in] string | name | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ) |  |  |

sets the name part of this URL.

Parameters

  name | specifies the non-escaped new name part of the URL.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if name is empty

Since
  OOo 3.0

## ◆ setParameter()

void setParameter | ( | [in] string | key,
|  | [in] string | value )
raises | ( | ::com::sun::star::lang::IllegalArgumentException ) |  |  |

sets the value of a parameter with a given key.

Parameters

  key | a non-escaped key
  value | the non-escaped value to be set for the parameter. If there already is a parameter with this key, the value of its first appearance will be replaced. Otherwise, a parameter with the given key/value will be appended.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if key is empty

Since
  OOo 3.0

The documentation for this interface was generated from the following file:

- com/sun/star/uri/XVndSunStarScriptUrl.idl